#include <stdio.h>
#include <stdlib.h>
#include "ethereum.h"

static long long B, E; static excinfo kinf;

static long long gcd(long long a, long long b){ return b ? gcd(b,a%b) : a; }
static excinfo extgcd(long long a, long long b){
	excinfo res, im;
	// a * BTC + b * ETH = gcd
	if(!b){ // a = gcd
		res.BTC = 1, res.ETH = 0;
		return res;
	}
	im = extgcd(b, a%b); long long q = a/b;
	// a = bq + r : (bq+r) BTC + b ETH = b(q BTC + ETH) + r BTC = gcd
	res.BTC = im.ETH; res.ETH = im.BTC - q * res.BTC;
	return res;
}

static void my_assert(int TF, const char* message){
	if(!TF){ puts(message); exit(1); }
}

static int call_cnt = 0;
excinfo Exchange(long long K){
	call_cnt++;
	my_assert(call_cnt <= 5, "Wrong[3]");
	my_assert(K >= 1 && K <= 100000000, "Wrong[2]");

	excinfo A; A.BTC = kinf.BTC * K; A.ETH = kinf.ETH * K;
	if(A.BTC < 0){
		long long t = (-A.BTC) / E;
		A.BTC += t*E, A.ETH -= t*B;
		if(A.BTC < 0) A.BTC += E, A.ETH -= B;
	}
	if(A.ETH < 0){
		long long t = (-A.ETH) / B;
		A.BTC -= t*E, A.ETH += t*B;
		if(A.ETH < 0) A.BTC -= E, A.ETH += B;
	}
	if(A.BTC < 0) A.BTC = A.ETH = -1;
	return A;
}

int main(){
	my_assert(scanf("%lld%lld", &B, &E) == 2, "Error: Invalid B, E");
	my_assert(1 <= B && B <= 10000000 && 1 <= E && E <= 10000000, "Error: Invalid B, E");
	my_assert(gcd(B,E) == 1, "Error: Invalid B, E");
	kinf = extgcd(B,E);

	excinfo usr = GetExchangePrice();
	my_assert(usr.BTC == B && usr.ETH == E, "Wrong[1]");
	puts("Correct");
	return 0;
}
